#pragma once
#include <stdio.h>

#define SOURCE_FILE 0
#define SOURCE_FOLDER 1

void file_setconfigfolder(const char* foldername);
const char* file_getconfigfolder();

void file_setresourcefilename(const char* str);
void file_setresourcefolder(const char* str);
void file_setsource(const int src);

FILE* file_getfilepointer(const char* resourcename, int& filesize, const bool binary = false);
char* file_getfilebuffer(const char* resourcename, int& filesize, const bool zero_terminate = false);

const char* file_getconfigvalue(const char* key);
void file_setconfigvalue(const char* key, const char* value);
